Bug 525156

Summary: smolt should require python-ctypes
Product: [Fedora] Fedora EPEL Reporter: Chad Feller <cfeller>
Component: smoltAssignee: Mike McGrath <mmcgrath>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: el5CC: jeff, mmcgrath
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.4-2.3.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-10 03:24:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Chad Feller 2009-09-23 14:52:33 UTC
Description of problem:
smolt depends on python-ctypes but doesn't require it for install.

Version-Release number of selected component (if applicable):
smolt-1.3.1-1.1.el5

How reproducible:
always

Steps to Reproduce:
1.install smolt from EPEL
2.run smoltSendProfile
3.
  
Actual results:

Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 196, in ?
    proxies=proxies)
  File "/usr/share/smolt/client/smolt.py", line 518, in send
    reset_resolver()
  File "/usr/share/smolt/client/smolt.py", line 377, in reset_resolver
    import ctypes
ImportError: No module named ctypes

Expected results:
profile should be sent

Additional info:

smolt correctly pulls in python-paste as a dependency during install.  it should also pull in python-ctypes

Comment 1 Fedora Update System 2009-10-13 20:46:13 UTC
smolt-1.4-2.3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/smolt-1.4-2.3.el5

Comment 2 Fedora Update System 2009-10-16 19:33:49 UTC
smolt-1.4-2.3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smolt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0647

Comment 3 Chad Feller 2009-10-16 21:22:00 UTC
appears to be fixed in smolt-1.4-2.3.el5...

Comment 4 Fedora Update System 2009-11-10 03:24:09 UTC
smolt-1.4-2.3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.